package org.wfc.omada.api.device.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * LocateDeviceRequest
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:26:25.576+08:00[Asia/Shanghai]")

public class LocateDeviceRequest   {
  @JsonProperty("locateEnable")
  private Boolean locateEnable;

  public LocateDeviceRequest locateEnable(Boolean locateEnable) {
    this.locateEnable = locateEnable;
    return this;
  }

  /**
   * Get locateEnable
   * @return locateEnable
  */
  @ApiModelProperty(value = "")


  public Boolean getLocateEnable() {
    return locateEnable;
  }

  public void setLocateEnable(Boolean locateEnable) {
    this.locateEnable = locateEnable;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    LocateDeviceRequest locateDeviceRequest = (LocateDeviceRequest) o;
    return Objects.equals(this.locateEnable, locateDeviceRequest.locateEnable);
  }

  @Override
  public int hashCode() {
    return Objects.hash(locateEnable);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class LocateDeviceRequest {\n");
    
    sb.append("    locateEnable: ").append(toIndentedString(locateEnable)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

